<?php 
/**
 * 侧边栏组件、页面模块
 */
if(!defined('EMLOG_ROOT')) {exit('error!');} 
if (!function_exists('_g')) {
	emMsg('请先下载并安装<a href="http://www.emlog.net/plugin/144" target="_blank">模板设置插件</a>', BLOG_URL . 'admin/plugins.php');
}
?>
<?php
//widget：blogger
function widget_blogger($title){
	global $CACHE;
	$user_cache = $CACHE->readCache('user');
	$name = $user_cache[1]['mail'] != '' ? "<a href=\"mailto:".$user_cache[1]['mail']."\">".$user_cache[1]['name']."</a>" : $user_cache[1]['name'];?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="bloggerinfo">
	<div id="bloggerinfoimg">
	<?php if (!empty($user_cache[1]['photo']['src'])): ?>
	<img src="<?php echo BLOG_URL.$user_cache[1]['photo']['src']; ?>" width="<?php echo $user_cache[1]['photo']['width']; ?>" height="<?php echo $user_cache[1]['photo']['height']; ?>" alt="blogger" />
	<?php endif;?>
	</div>
	<p><b><?php echo $name; ?></b>
	<?php echo $user_cache[1]['des']; ?></p>
	</ul>
	</li>
<?php }?>
<?php
//widget：日历
function widget_calendar($title){ ?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<div id="calendar">
	</div>
	<script>sendinfo('<?php echo Calendar::url(); ?>','calendar');</script>
	</li>
<?php }?>
<?php
//widget：标签
function widget_tag($title){
	global $CACHE;
	$tag_cache = $CACHE->readCache('tags');?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="blogtags">
	<?php foreach($tag_cache as $value): ?>
		<span style="font-size:<?php echo $value['fontsize']; ?>pt; line-height:30px;">
		<a href="<?php echo Url::tag($value['tagurl']); ?>" title="<?php echo $value['usenum']; ?> 篇文章"><?php echo $value['tagname']; ?></a></span>
	<?php endforeach; ?>
	</ul>
	</li>
<?php }?>
<?php
//widget：分类
function widget_sort($title){
	global $CACHE;
	$sort_cache = $CACHE->readCache('sort'); ?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="blogsort">
	<?php
	foreach($sort_cache as $value):
		if ($value['pid'] != 0) continue;
	?>
	<li>
	<a href="<?php echo Url::sort($value['sid']); ?>"><?php echo $value['sortname']; ?>(<?php echo $value['lognum'] ?>)</a>
	<?php if (!empty($value['children'])): ?>
		<ul>
		<?php
		$children = $value['children'];
		foreach ($children as $key):
			$value = $sort_cache[$key];
		?>
		<li>
			<a href="<?php echo Url::sort($value['sid']); ?>"><?php echo $value['sortname']; ?>(<?php echo $value['lognum'] ?>)</a>
		</li>
		<?php endforeach; ?>
		</ul>
	<?php endif; ?>
	</li>
	<?php endforeach; ?>
	</ul>
	</li>
<?php }?>
<?php
//widget：最新微语
function widget_twitter($title){
	global $CACHE; 
	$newtws_cache = $CACHE->readCache('newtw');
	$istwitter = Option::get('istwitter');
	?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="twitter">
	<?php foreach($newtws_cache as $value): ?>
	<?php $img = empty($value['img']) ? "" : '<a title="查看图片" class="t_img" href="'.BLOG_URL.str_replace('thum-', '', $value['img']).'" target="_blank">&nbsp;</a>';?>
	<li><?php echo $value['t']; ?><?php echo $img;?><p><?php echo smartDate($value['date']); ?></p></li>
	<?php endforeach; ?>
    <?php if ($istwitter == 'y') :?>
	<p><a href="<?php echo BLOG_URL . 't/'; ?>">更多&raquo;</a></p>
	<?php endif;?>
	</ul>
	</li>
<?php }?>
<?php
//widget：最新评论
function widget_newcomm($title){
	global $CACHE; 
	$com_cache = $CACHE->readCache('comment');
	?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="newcomment">
	<?php
	foreach($com_cache as $value):
	$url = Url::comment($value['gid'], $value['page'], $value['cid']);
	?>
	<li id="comment"><?php echo $value['name']; ?>
	<br /><a href="<?php echo $url; ?>"><?php echo $value['content']; ?></a></li>
	<?php endforeach; ?>
	</ul>
	</li>
<?php }?>
<?php
//widget：最新文章
function widget_newlog($title){
	global $CACHE; 
	$newLogs_cache = $CACHE->readCache('newlog');
	?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="newlog">
	<?php foreach($newLogs_cache as $value): ?>
	<li><a href="<?php echo Url::log($value['gid']); ?>"><?php echo $value['title']; ?></a></li>
	<?php endforeach; ?>
	</ul>
	</li>
<?php }?>
<?php
//widget：热门文章
function widget_hotlog($title){
	$index_hotlognum = Option::get('index_hotlognum');
	$Log_Model = new Log_Model();
	$randLogs = $Log_Model->getHotLog($index_hotlognum);?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="hotlog">
	<?php foreach($randLogs as $value): ?>
	<li><a href="<?php echo Url::log($value['gid']); ?>"><?php echo $value['title']; ?></a></li>
	<?php endforeach; ?>
	</ul>
	</li>
<?php }?>
<?php
//widget：随机文章
function widget_random_log($title){
	$index_randlognum = Option::get('index_randlognum');
	$Log_Model = new Log_Model();
	$randLogs = $Log_Model->getRandLog($index_randlognum);?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="randlog">
	<?php foreach($randLogs as $value): ?>
	<li><a href="<?php echo Url::log($value['gid']); ?>"><?php echo $value['title']; ?></a></li>
	<?php endforeach; ?>
	</ul>
	</li>
<?php }?>
<?php
//widget：搜索
function widget_search($title){ ?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="logsearch">
	<form name="keyform" method="get" action="<?php echo BLOG_URL; ?>index.php">
	<input name="keyword" class="search" type="text" />
	</form>
	</ul>
	</li>
<?php } ?>
<?php
//widget：归档
function widget_archive($title){
	global $CACHE; 
	$record_cache = $CACHE->readCache('record');
	?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="record">
	<?php foreach($record_cache as $value): ?>
	<li><a href="<?php echo Url::record($value['date']); ?>"><?php echo $value['record']; ?>(<?php echo $value['lognum']; ?>)</a></li>
	<?php endforeach; ?>
	</ul>
	</li>
<?php } ?>
<?php
//widget：自定义组件
function widget_custom_text($title, $content){ ?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul>
	<?php echo $content; ?>
	</ul>
	</li>
<?php } ?>
<?php
//widget：链接
function widget_link($title){
	global $CACHE; 
	$link_cache = $CACHE->readCache('link');
    //if (!blog_tool_ishome()) return;#只在首页显示友链去掉双斜杠注释即可
	?>
	<li>
	<h3><span><?php echo $title; ?></span></h3>
	<ul id="link">
	<?php foreach($link_cache as $value): ?>
	<li><a href="<?php echo $value['url']; ?>" title="<?php echo $value['des']; ?>" target="_blank"><?php echo $value['link']; ?></a></li>
	<?php endforeach; ?>
	</ul>
	</li>
<?php }?> 
<?php
//blog：导航
function blog_navi(){
	global $CACHE; 
	$navi_cache = $CACHE->readCache('navi');
	?>
	<ul id="menu" class="menu">					
	<?php foreach($navi_cache as $value): if ($value['pid'] != 0) {  continue; } 
	if($value['url'] == ROLE_ADMIN && (ROLE == ROLE_ADMIN || ROLE == ROLE_WRITER)): ?>
	<?php  continue; endif; 
	$newtab = $value['newtab'] == 'y' ? 'target="_blank"' : ''; 
	$value['url'] = $value['isdefault'] == 'y' ? BLOG_URL . $value['url'] : trim($value['url'], '/'); 
	$current_tab = BLOG_URL . trim(Dispatcher::setPath(), '/') == $value['url'] ? 'current-menu-item' : 'menu-item-has-children'; 
	$currents_tab = BLOG_URL . trim(Dispatcher::setPath(), '/') == $value['url'] ? 'menu-item-has-children' : '';
	?>
	<li class="<?php echo $current_tab;?>  <?php if (!empty($value['children']) || !empty($value['childnavi'])) :?><?php echo $currents_tab;?><?php endif;?>"><a href="<?php echo $value['url']; ?>" <?php echo $newtab;?>><?php echo $value['naviname']; ?></a> 
	<?php if (!empty($value['children'])) :?> 
	<ul class="sub-menu"> 
	<?php foreach ($value['children'] as $row){ echo '<li><a href="'.Url::sort($row['sid']).'">'.$row['sortname'].'</a></li>'; }?>
	</ul>
	<?php endif;?>
	<?php if (!empty($value['childnavi'])) :?>
	<ul class="sub-menu">
	<?php foreach ($value['childnavi'] as $row){  $newtab = $row['newtab'] == 'y' ? 'target="_blank"' : ''; echo '<li><a href="' . $row['url'] . "\" $newtab >" . $row['naviname'].'</a></li>'; }?>
	</ul>
	<?php endif;?>
	</li>
	<?php endforeach; ?>
	</ul>
<?php }?>
<?php
//blog：置顶
function topflg($top, $sortop='n', $sortid=null){
    if(blog_tool_ishome()) {
       echo $top == 'y' ? "<span style=\"color: #F44336;\" title=\"首页置顶\" />【推荐】</span>" : '';
    } elseif($sortid){
       echo $sortop == 'y' ? "<span style=\"color: #673ab7;\" title=\"分类置顶\" />【推荐】</span>" : '';
    }
}
?>
<?php
//blog：编辑
function editflg($logid,$author){
	$editflg = ROLE == ROLE_ADMIN || $author == UID ? '<a href="'.BLOG_URL.'admin/write_log.php?action=edit&gid='.$logid.'" target="_blank">编辑</a>' : '';
	echo $editflg;
}
?>
<?php
//blog：分类
function blog_sort($blogid){
	global $CACHE; 
	$log_cache_sort = $CACHE->readCache('logsort');
	?>
	<?php if(!empty($log_cache_sort[$blogid])): ?>
    <a href="<?php echo Url::sort($log_cache_sort[$blogid]['id']); ?>"><?php echo $log_cache_sort[$blogid]['name']; ?></a>
	<?php endif;?>
<?php }?>
<?php
//blog：文章标签
function blog_tag($blogid){
	global $CACHE;
	$log_cache_tags = $CACHE->readCache('logtags');
	if (!empty($log_cache_tags[$blogid])){
		$tag = '<i class="fa fa-tags"></i>标签：';
		foreach ($log_cache_tags[$blogid] as $value){
			$tag .= "	<a href=\"".Url::tag($value['tagurl'])."\">".$value['tagname'].'</a>';
		}
		echo $tag;
	}
}
?>
<?php
//blog：文章作者带头像
function blog_author($uid){
	global $CACHE;
	$user_cache = $CACHE->readCache('user');
	$author = $user_cache[$uid]['name'];
	$mail = $user_cache[$uid]['mail'];
	$des = $user_cache[$uid]['des'];
	$src = BLOG_URL.$user_cache[$uid]['photo']['src'];
	$title = !empty($mail) || !empty($des) ? "title=\"$des $mail\"" : '';
	echo '<a rel="author" target="_blank" href="'.Url::author($uid)."\" $title><img src=\"$src\"  width=\"70\" height=\"70\" alt=\"blogger\"></a>";
}
?>
<?php
//blog：文章作者
function zuozhe($uid){
	global $CACHE;
	$user_cache = $CACHE->readCache('user');
	$author = $user_cache[$uid]['name'];
	echo '<a style="color: #999;" href="'.Url::author($uid)."\">$author</a>";
}
?>
<?php
//blog：相邻文章
function neighbor_log($neighborLog){
	extract($neighborLog);?>
<?php if($prevLog):?>
<a rel="prev" class="sxp_pre" href="<?php echo Url::log($prevLog['gid']) ?>"><i class="fa fa-arrow-circle-left"></i>上一篇：<?php echo $prevLog['title'];?></a>
<?php else: ?>
<a rel="prev" class="sxp_pre" ><i class="fa fa-arrow-circle-left"></i>没有了哟</a>
<?php endif;?>
<?php if($nextLog):?>
<a rel="next" class="sxp_next" href="<?php echo Url::log($nextLog['gid']) ?>">下一篇：<?php echo $nextLog['title'];?><i class="fa fa-arrow-circle-right"></i></a>
<?php else: ?>
<a rel="next" class="sxp_next" >没有了哟<i class="fa fa-arrow-circle-right"></i></a>
 <?php endif;?>
<?php }?> 
<?php
//blog：评论列表
function blog_comments($comments){
    extract($comments);
    if($commentStacks): ?>
	<a name="comments"></a>	
	<?php endif; ?>
	<?php
	$isGravatar = Option::get('isgravatar');
	foreach($commentStacks as $cid):
    $comment = $comments[$cid];
	$comment['poster'] = $comment['url'] ? '<a href="'.$comment['url'].'" target="_blank" class="comment_author">'.$comment['poster'].'</a>' : $comment['poster'];
	?>
 <li class="comment_item" id="comment-<?php echo $comment['cid']; ?>">
 <a name="<?php echo $comment['cid']; ?>"></a>
 <?php if($isGravatar == 'y'): ?><div class="comment_avatar"><img alt="" src="<?php echo getqqpic($comment['mail']);?>"></div><?php endif; ?>
 <div class="comment_main">
 <header class="comment_header">
 <div class="comment_meta"><?php echo $comment['poster']; ?> 评论于
 <time title="<?php echo $comment['date']; ?>"><?php echo $comment['date']; ?></time>
  <div class="comment-reply"><a href="#comment-<?php echo $comment['cid']; ?>" onclick="commentReply(<?php echo $comment['cid']; ?>,this)">回复</a></div>
 </div>
 </header>
 <div class="comment_body">
 <p><?php echo showPrivateComment(comcontent($comment['content']),$comment['mail'],$_COOKIE["postermail"]); ?></p>
 </div>
 </div>
  <?php blog_comments_children($comments, $comment['children']); ?>
 </li>	
 <?php endforeach; ?>
 <div class="peai"></div>
<div class="pagination"><?php echo $commentPageUrl;?> </div>
<?php }?>
<?php
//blog：子评论列表
function blog_comments_children($comments, $children){
	$isGravatar = Option::get('isgravatar');
	foreach($children as $child):
	$comment = $comments[$child];
	$comment['poster'] = $comment['url'] ? '<a href="'.$comment['url'].'" target="_blank" class="comment_author">'.$comment['poster'].'</a>' : $comment['poster'];
	?>
<li class="comment_item comment_flip" id="comment-<?php echo $comment['cid']; ?>">
<a name="<?php echo $comment['cid']; ?>"></a>
<?php if($isGravatar == 'y'): ?><div class="comment_avatar"><img alt="" src="<?php echo getqqpic($comment['mail']);?>"></div><?php endif; ?>
    <div class="comment_main">
	<header class="comment_header">
	<div class="comment_meta"><?php echo $comment['poster']; ?> 评论于
	<time title="<?php echo $comment['date']; ?>"><?php echo $comment['date']; ?></time>
<?php if($comment['level'] < 4): ?><div class="comment-reply"><a href="#comment-<?php echo $comment['cid']; ?>" onclick="commentReply(<?php echo $comment['cid']; ?>,this)">回复</a></div><?php endif; ?>	
	</div>
	</header>
	<div class="comment_body">
	<p><?php echo showPrivateComment(comcontent($comment['content']),$comment['mail'],$_COOKIE["postermail"]); ?></p>
	</div>
    </div>
	<?php blog_comments_children($comments, $comment['children']);?>
</li>	
	<?php endforeach; ?>
<?php }?>
<?php
//blog：发表评论表单
function blog_comments_post($logid,$ckname,$ckmail,$ckurl,$verifyCode,$allow_remark){
	if($allow_remark == 'y'): ?>
<div class="DNF_comment">发表评论</div>
<div class="DNF_body" id="comment-place">
<div id="comment-post">
<a name="respond"></a>
<div class="cancel-reply" id="cancel-reply" style="display:none"><a href="javascript:void(0);" onclick="cancelReply()">取消回复</a></div>
	<form method="post" name="commentform" action="<?php echo BLOG_URL; ?>index.php?action=addcom" id="commentform">
	<input type="hidden" name="gid" value="<?php echo $logid; ?>" />
		<div class="DNF_form">
		<?php if(ROLE == ROLE_VISITOR): ?>
			<div class="DNF_sms">
				<input type="text" class="DNF_currency" name="comname" placeholder="昵称">
				<input type="mail" class="DNF_currency" name="commail" placeholder="邮箱">
				<input type="text" class="DNF_currency" name="comurl" placeholder="网址">
			</div>
		<?php endif; ?>
			<div class="DNF_sm qh">
				<div class="DNF_frame">
					<div class="DNF_tool">
						<div class="DNF_group">
							<a href="javascript:addNumber('同是九年义务,为何你腰间盘那么突出.')" title="签到"class="DNF_buff">签到</a>
							<a href="javascript:addNumber('[私密评论]')" title="私密" class="DNF_buff">私密</a>
						</div>
					</div>
					<div class="DNF_area">
						<textarea  name="comment" id="comment" class="DNF_text"></textarea>
						<div class="DNF_input">
				<?php echo $verifyCode; ?><input type="submit" class="DNF_blue" id="comment_submit" value="突破天际，发射">
				<input type="hidden" name="pid" id="comment-pid" value="0" size="22" tabindex="1"/>
			</div>						
					</div>
				</div>
			</div>
			
		</div>
	</form>
	</div>
</div>
	<?php endif; ?>
<?php }?>
<?php
//blog-tool:判断是否是首页
function blog_tool_ishome(){
    if (BLOG_URL . trim(Dispatcher::setPath(), '/') == BLOG_URL){
        return true;
    } else {
        return FALSE;
    }
}
?>
<?php
//getimage
function picthumb($blogid) {
  $db = MySql::getInstance();
  $sql = "SELECT * FROM ".DB_PREFIX."attachment WHERE blogid=".$blogid." AND (`filepath` LIKE '%jpg' OR `filepath` LIKE '%gif' OR `filepath` LIKE '%png') ORDER BY `aid` ASC LIMIT 0,1";
  //    die($sql);
  $imgs = $db->query($sql);
  while($row = $db->fetch_array($imgs)){
    $pict.= ''.BLOG_URL.substr($row['filepath'],3,strlen($row['filepath'])).'';
  }
  return $pict;
}

//格式化内容工具
function geshihua($content, $strlen = null){
        $content = str_replace('继续阅读&gt;&gt;', '', strip_tags($content));
        if ($strlen) {
            $content = subString(preg_replace("/\[gsvideo url=(.*) w=(.*) h=(.*)\]/", '', $content), 0, $strlen);
        }
        return $content;
}

//代码压缩
function em_compress_html_main($buffer){
    $initial=strlen($buffer);
    $buffer=explode("<!--em-compress-html-->", $buffer);
    $count=count ($buffer);
    for ($i = 0; $i <= $count; $i++){
        if (stristr($buffer[$i], '<!--em-compress-html no compression-->')){
            $buffer[$i]=(str_replace("<!--em-compress-html no compression-->", " ", $buffer[$i]));
        }else{
            $buffer[$i]=(str_replace("\t", " ", $buffer[$i]));
            $buffer[$i]=(str_replace("\n\n", "\n", $buffer[$i]));
            $buffer[$i]=(str_replace("\n", "", $buffer[$i]));
            $buffer[$i]=(str_replace("\r", "", $buffer[$i]));
            while (stristr($buffer[$i], '  '))
            {
            $buffer[$i]=(str_replace("  ", " ", $buffer[$i]));
            }
        }
        $buffer_out.=$buffer[$i];
    }
    $final=strlen($buffer_out);
    $savings=($initial-$final)/$initial*100;
    $savings=round($savings, 2);
    $buffer_out.="\n<!--压缩前的大小: $initial bytes; 压缩后的大小: $final bytes; 节约：$savings% -->";
    return $buffer_out;
}

//pre不被压缩
function unCompress($content){
    if(preg_match_all('/(crayon-|<\/pre>)/i', $content, $matches)) {
        $content = '<!--em-compress-html--><!--em-compress-html no compression-->'.$content;
        $content.= '<!--em-compress-html no compression--><!--em-compress-html-->';
    }
    return $content;
}
//获取头像
function getqqpic($email){
	$qq = explode('@',$email);
            $pic = 'https://q2.qlogo.cn/headimg_dl?dst_uin='.$qq[0].'&spec=100';
            $pic = $qq[1] =='qq.com' ? $pic : $pic = SB_getGravatar($email);
	return $pic;
}
//blog-tool:获取Gravatar头像并缓存到本地
function SB_getGravatar($email, $s=40, $d='monsterid', $r='g') {
    $f = md5($email);
    $a = TEMPLATE_URL.'images/avatar.jpg';
    $e = EMLOG_ROOT.'/content/templates/Coffee/images/avatar.jpg';
    $t = 1296000; //15天，单位：秒
    if (empty($d)) $d = BLOG_URL.'avatar/default.jpg';
    if (!is_file($e) || (time() - filemtime($e)) > $t ) {
        //当头像不存在或者超过15天才更新
        $g = sprintf("https://secure.gravatar.com",(hexdec($f{0})%2)).'/avatar/'.$f.'?s=48&d='.$d.'&r='.$r;
        copy($g,$e); $a=$g; //新头像copy时, 取gravatar显示
    }
    if (filesize($e) < 500) copy($d,$e);
    return $a;
}
//QQ获取
$qq = isset($_GET['qq']) ? $_GET['qq'] : '';
if($qq != ''){
	$html = file_get_contents('http://r.pengyou.com/fcg-bin/cgi_get_portrait.fcg?uins='.$qq);
	$nic = explode(',',$html);
	$name = trim(mb_convert_encoding($nic[6], "UTF-8", "GBK"),'"');
	$img = file_get_contents('http://ptlogin2.qq.com/getface?appid=1006102&uin='.$qq.'&imgtype=3');
	preg_match('/pt.setHeader\((.*?)\);/',$img,$picc);
	$pic = json_decode($picc[1]);
	$json['name'] = $name;
	$json['pic'] = $pic->$qq;
	echo $_GET['callback'].'('.json_encode($json).')';
}else{
	echo '';
}
//评论内容
function comcontent($pl) {
	$patterns = array ("/@/","/\[blockquote\](.*?)\[\/blockquote\]/","/\[F(([1-4]?[0-9])|50)\]/"); 
	$replace = array ('回复了','<blockquote>$1</blockquote>','<img alt="表情" src="'.TEMPLATE_URL.'img/face/$1.png" />'); 
	$pl=preg_replace($patterns, $replace, $pl);
	return $pl;
}
// 判断是否为私密评论
function isPrivateComment($comments){
	return(strstr($comments,"[私密评论]"));
}
// 显示私密评论
function showPrivateComment($comments,$post_email,$current_email){
	// 如果是私密评论 是管理员身份或者发布私密者本身才会显示
	if(isPrivateComment($comments)){
		if($post_email==$current_email or ROLE == ROLE_ADMIN){
			return $comments;
		}else{
			return "<font color='red'>#仅博主可见#</font>";
		}
	}else{
		return $comments;
	}
}
?>
<?php 
//蓝优分页
function lanyoupage($count,$perlogs,$page,$url,$anchor=''){
$pnums = @ceil($count / $perlogs);
$page = @min($pnums,$page);
$prepg=$page-1;
$nextpg=($page==$pnums ? 0 : $page+1);
$urlHome = preg_replace("|[\?&/][^\./\?&=]*page[=/\-]|","",$url);
$re = "";
if($pnums<=1) return false;		
if($page!=1) $re .=""; 
if($prepg) $re .="<a href=\"$url$prepg$anchor\">«</a>";
for ($i = $page-2;$i <= $page+2 && $i <= $pnums; $i++){
if ($i > 0){if ($i == $page){$re .= "<span>$i</span>";
}elseif($i == 1){$re .= "<a href=\"$urlHome$anchor\">$i</a>";
}else{$re .= "<a href=\"$url$i$anchor\">$i</a>";}
}}
if($nextpg) $re .="<a href=\"$url$nextpg$anchor\">»</a>"; 
if($page!=$pnums) $re.="";
$re .="";
$re .="";
return $re;}
?>
